> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/commerce-openapis/data-warehouse/cities.md).

# Cities

## GET /cities/

> Retrieves data about cities, including their names, creation and modification dates, country code, and whether they are active or not.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"PaginatedCityList":{"properties":{"count":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"next":{"description":"This field defines the URL of the next page.","format":"uri","nullable":true,"type":"string"},"previous":{"description":"This field defines the URL of the previous page.","format":"uri","nullable":true,"type":"string"},"results":{"description":"This field returns a list of results.","items":{"$ref":"#/components/schemas/City"},"type":"array"}},"type":"object"},"City":{"properties":{"country":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"is_active":{"description":"Boolean flag indicating whether the condition is met.","type":"boolean"},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"name":{"description":"The full name or label associated with the record.","maxLength":128,"title":"Official name","type":"string"},"postcode":{"description":"This field defines the postcode of the township.","maxLength":255,"nullable":true,"title":"Post/Zip-code","type":"string"},"priority":{"description":"This field defines the priority of the coupon (e.g., 1 being the highest priority).","maximum":2147483647,"minimum":-2147483648,"nullable":true,"type":"integer"},"translations":{"description":"This field defines the translations of the district name.","nullable":true}},"type":"object"}}},"paths":{"/cities/":{"get":{"description":"Retrieves data about cities, including their names, creation and modification dates, country code, and whether they are active or not.","operationId":"cities_list","parameters":[{"description":"Query parameter `country` used to filter results based on specific conditions.","in":"query","name":"country","schema":{"type":"integer"}},{"description":"Query parameter `created_date` used to filter results based on specific conditions.","in":"query","name":"created_date","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `id` used to filter results based on specific conditions.","in":"query","name":"id","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than the given value.","in":"query","name":"id__gt","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than or equal to the given value.","in":"query","name":"id__gte","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than the given value.","in":"query","name":"id__lt","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than or equal to the given value.","in":"query","name":"id__lte","schema":{"type":"integer"}},{"description":"Query parameter `is_active` used to filter results based on specific conditions.","in":"query","name":"is_active","schema":{"type":"boolean"}},{"description":"Limits the number of results returned in the response.","in":"query","name":"limit","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `modified_date` used to filter results based on specific conditions.","in":"query","name":"modified_date","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than the given value.","in":"query","name":"modified_date__gt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than or equal to the given value.","in":"query","name":"modified_date__gte","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than the given value.","in":"query","name":"modified_date__lt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than or equal to the given value.","in":"query","name":"modified_date__lte","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `name` used to filter results based on specific conditions.","in":"query","name":"name","schema":{"type":"string"}},{"description":"Query parameter `page` used to filter results based on specific conditions.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `postcode` used to filter results based on specific conditions.","in":"query","name":"postcode","schema":{"type":"string"}},{"description":"Query parameter `priority` used to filter results based on specific conditions.","in":"query","name":"priority","schema":{"type":"integer"}},{"description":"Query parameter `sort` used to filter results based on specific conditions.","in":"query","name":"sort","required":false,"schema":{"type":"string"}},{"description":"Query parameter `translations` used to filter results based on specific conditions.","in":"query","name":"translations","schema":{"nullable":true}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedCityList"}}},"description":"Successful response for status code 200."}},"tags":["cities"]}}}}
```

## GET /cities/{id}/

> Retrieves data about cities, including their names, creation and modification dates, country code, and whether they are active or not. This endpoint retrieves a specific record by its unique identifier.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"City":{"properties":{"country":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"is_active":{"description":"Boolean flag indicating whether the condition is met.","type":"boolean"},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"name":{"description":"The full name or label associated with the record.","maxLength":128,"title":"Official name","type":"string"},"postcode":{"description":"This field defines the postcode of the township.","maxLength":255,"nullable":true,"title":"Post/Zip-code","type":"string"},"priority":{"description":"This field defines the priority of the coupon (e.g., 1 being the highest priority).","maximum":2147483647,"minimum":-2147483648,"nullable":true,"type":"integer"},"translations":{"description":"This field defines the translations of the district name.","nullable":true}},"type":"object"}}},"paths":{"/cities/{id}/":{"get":{"description":"Retrieves data about cities, including their names, creation and modification dates, country code, and whether they are active or not. This endpoint retrieves a specific record by its unique identifier.","operationId":"cities_retrieve","parameters":[{"description":"A unique integer value identifying this city.","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/City"}}},"description":"Successful response for status code 200."},"404":{"content":{"application/json":{}},"description":"Object not found."}},"tags":["cities"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.akinon.com/commerce-openapis/data-warehouse/cities.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
